Get WHOIS/RDAP data for any domain
curl --request GET \
--url https://api.scoutlayer.com/v1/whois/domains/{domain} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.scoutlayer.com/v1/whois/domains/{domain}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.scoutlayer.com/v1/whois/domains/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"domain": "<string>",
"available": true,
"registrar": {
"name": "<string>",
"ianaId": "<string>",
"abuseEmail": "<string>",
"abusePhone": "<string>"
},
"registeredOn": "<string>",
"expiresOn": "<string>",
"updatedOn": "<string>",
"status": [
"<string>"
],
"nameServers": [
"<string>"
],
"dnssec": true,
"contacts": [
{
"role": "<string>",
"name": "<string>",
"organization": "<string>",
"email": "<string>",
"phone": "<string>",
"redacted": true
}
],
"scrapedAt": "<string>",
"raw": {}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}Domain WHOIS
Domain WHOIS API
Registrar, registrant/admin/tech contacts, creation/expiry/updated dates, and name servers.
GET
/
v1
/
whois
/
domains
/
{domain}
Get WHOIS/RDAP data for any domain
Authorizations
ApiKeyAuthBearerAuth
API key passed as the X-API-Key request header. Recommended for server-to-server calls.
Path Parameters
Minimum string length:
1Example:
"example.com"
Response
Get WHOIS/RDAP data for any domain
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Which upstream actually answered this lookup
Available options:
rdap, whois.com Show child attributes
Show child attributes
⌘I